## org.eclipse.datatools.modelbase.sql.query
Interface SuperGroupElement

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

All Known Subinterfaces:
  SuperGroupElementExpression, SuperGroupElementSublist

    public interface SuperGroupElement

extends SQLQueryObject

A representation of the model object 'SQL Super Group Element'.

The following features are supported:

- `Super Group`

See Also:
  `SQLQueryModelPackage.getSuperGroupElement()`

Method Summary
`SuperGroup` `getSuperGroup()` Returns the value of the 'Super Group' container reference.
`void` `setSuperGroup(SuperGroup value)` Sets the value of the '`Super Group`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSuperGroup

    SuperGroup getSuperGroup()

  Returns the value of the 'Super Group' container reference. It is bidirectional and its opposite is '`Super Group Element List`'.

  If the meaning of the 'Super Group' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Super Group' container reference.
  See Also:
    `setSuperGroup(SuperGroup)`, `SQLQueryModelPackage.getSuperGroupElement_SuperGroup()`, `SuperGroup.getSuperGroupElementList()`

### setSuperGroup

    void setSuperGroup(SuperGroup value)

  Sets the value of the '`Super Group`' container reference.

  Parameters:
    `value` - the new value of the 'Super Group' container reference.
  See Also:
    `getSuperGroup()`